import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: item

    Column {
        id: contentcolumn
        width: parent.width
        spacing: 10

        Item {
            height: titleImage.height > titleLabel.height ? titleImage.height : titleLabel.height
            width: parent.width
            id: titleItem;

            Image {
                id: titleImage
                source: "/usr/share/themes/blanco/meegotouch/icons/icon-m-service-ninedbox.png"
            }

            Label {
                id: titleLabel
                text: appWindow.title
                anchors {
                    left: titleImage.right
                    leftMargin: 5
                    verticalCenter: titleImage.verticalCenter
                }
                platformStyle: LabelStyle {
                    fontFamily: "Nokia Pure Text Light"
                    fontPixelSize: 32
                }
            }
        }

        Label {
            id : descriptionText
            text: appWindow.description
            width: parent.width
        }

        Rectangle {
            id : splitterRectangle
            width: parent.width
            height: 1
            color: "dimgray"
        }

        Item {
                    width: parent.width
                    height: 100
                    visible: cppFunctions.waiting
                }

        BusyIndicator {
                    id : busyIndicator
                    platformStyle: BusyIndicatorStyle { size: "large" }
                    running: cppFunctions.waiting
                    visible: cppFunctions.waiting
                    anchors.horizontalCenter: parent.horizontalCenter
                }

        Button {
            id : authorizeButton
            visible: !cppFunctions.authorizing
            text : "Authorize application"
            anchors.horizontalCenter: parent.horizontalCenter

            onClicked: {
                cppFunctions.createAccount();
            }
        }

        Button {
            id : getTokensButton
            visible: cppFunctions.authorizing & !cppFunctions.waiting
            text : "Complete authorizing"
            anchors.horizontalCenter: parent.horizontalCenter

            onClicked: {
                cppFunctions.getTokens();
            }
        }

    }
}
