import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: page

    Column {
        id: contentcolumn
        width: parent.width
        //anchors.fill: parent
        spacing: 10

        Row {

            width: parent.width
            spacing: 10
            height: Math.max(titleImage.height, infoColumn.height, enabledSwitch.height)

            Image {
                id: titleImage
                source: "/usr/share/themes/blanco/meegotouch/icons/icon-m-service-ninedbox.png"
            }

            Column {
                id: infoColumn
                width: parent.width - titleImage.width - enabledSwitch.width - 2*parent.spacing
                Label {
                    id: titleLabel
                    text: appWindow.title
                    platformStyle: LabelStyle {
                        fontFamily: "Nokia Pure Text Light"
                        fontPixelSize: 32
                    }
                }

                Label {
                    id: emailLabel
                    text: cppFunctions.email
                    color: "dimgray"
                    wrapMode: Text.WordWrap
                }
            }

            Switch {
                id: enabledSwitch
                checked: cppFunctions.enabled                
            }

            Binding {
                target: cppFunctions
                property: "enabled"
                value: enabledSwitch.checked
            }
        }

        Item {
            height: 100
            width: parent.width
            visible: cppFunctions.lastUploads.length !== 0

        Label {
            anchors.bottom: parent.bottom
            width: parent.width
            text: "Last uploaded files:"
            color: "dimgray"
            platformStyle: LabelStyle {
                fontFamily: "Nokia Pure Text Light"
                fontPixelSize: 32
            }
        }
        }

        Item {
            width: parent.width
            height: 400;

            ListView {
                width: parent.width
                anchors.fill: parent
                model: cppFunctions.lastUploads
                spacing: 10
                delegate:
                    Rectangle {
                        border.color: "dimgray"
                        border.width: 1;
                        color: "transparent"
                        radius: 7
                        width: parent.width
                        height: 40

                        Text {
                            anchors.fill: parent
                            anchors.margins: 5
                            verticalAlignment: Text.AlignVCenter
                            text: modelData
                            font.pointSize: 14
                            color: "dimgray"
                        }
                }
            }
        }
    }


}
