import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: mainPage
    anchors.fill: parent
    anchors.margins: 5
    orientationLock: PageOrientation.LockPortrait

    /*InfoBanner {
        id: infoBanner
        text: cppFunctions.infoText
        timerEnabled: false
        onTextChanged: {
            infoBanner.show();
        }
    }

    Binding {
        target: infoBanner
        property: "text"
        value: cppFunctions.infoText;
    }*/

    Flickable {
        anchors.fill: parent
        anchors.margins: 5
        contentWidth: width
        contentHeight: (createNewAccount.visible) ? createNewAccount.height : editAccount.height
        boundsBehavior: Flickable.StopAtBounds

        CreateNewAccount {
            id: createNewAccount
            visible: false
            anchors {
                left: parent.left
                top: parent.top
                right: parent.right
                bottom: parent.bottom
            }
        }

        EditAccount {
            id: editAccount
            visible: false
            anchors {
                left: parent.left
                top: parent.top
                right: parent.right
                bottom: parent.bottom
            }
        }
    }

    Component.onCompleted: {
        theme.inverted = true;
        if (cppFunctions.setupType==="CreateNew")
        {
            commonTools.visible=true
            tools=commonTools
            createNewAccount.visible=true
        }
        else
        {
            editTools.visible=true
            tools=editTools
            editAccount.visible=true
        }
    }
}
