import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.1


PageStackWindow {
    id: appWindow

    property string title : "Nine2D"
    property string description : "Replacement for built-in Dropbox sharing plugin"

    function showInfoBanner(msg) {banner.text = msg; banner.show()}

    /*CreateNewAccount {
        id: createNewAccount
    }

    EditAccount {
        id: editAccount
    }

    Component.onCompleted: {
        theme.inverted = true;
        if (cppFunctions.setupType==="CreateNew")
        {
            editTools.visible=true
            tools=editTools
            initialPage=createNewAccount
        }
        else
        {
            commonTools.visible=true
            tools=commonTools
            initialPage=editAccount
        }
    }*/

    Component.onCompleted: {
        theme.inverted = true;
    }

    initialPage: mainPage

    MainPage {
        id: mainPage
    }

    ToolBarLayout {
        id: commonTools
        visible: false
        ToolIcon {
            platformIconId: "toolbar-back"
            onClicked: {
                Qt.quit();
            }
        }
    }

    ToolBarLayout {
        id: editTools
        visible: false
        ToolButton {
            text: "Save"
            onClicked: cppFunctions.saveAccount()
        }
        ToolButton {
            text: "Cancel"
            onClicked: Qt.quit()
        }
        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: (parent === undefined) ? undefined : parent.right
            onClicked: (myMenu.status === DialogStatus.Closed) ? myMenu.open() : myMenu.close()
        }
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem { text: "Delete account"; onClicked: delconfirm.open() }
        }
    }

    QueryDialog {
        id: delconfirm
        titleText: "Delete account"
        message: "Do you really want to delete account?"
        acceptButtonText: "Yes"
        rejectButtonText: "No"
        onAccepted: cppFunctions.deleteAccount()
    }

    InfoBanner {
        id: banner
        text: "No text assigned"
        topMargin: 40
    }
}
